Subject: RE: Stateless DNS discovery draft

From: "Bound, Jim" <[email-masked]>
Date: Thu, 2 May 2002 10:05:42 -0400

yes that would be good thing for sure.
/jim

> -----Original Message-----
> From: Steve Deering [mailto:[email-masked]]
> Sent: Wednesday, May 01, 2002 10:25 PM
> To: Bound, Jim
> Cc: [email-masked]
> Subject: RE: Stateless DNS discovery draft
> 
> 
> At 7:07 PM -0400 5/1/02, Bound, Jim wrote:
> >My first response is that Routers are intermediary nodes and require
> >configuration too so have all the properties that come with 
> that flaw.
> 
> One other thing: one of the reasons I've been pushing the multilink
> subnet idea is to facilitate the development of plug-and-play routers
> for unmanaged environments (by eliminating the need to configure
> subnet prefixes on all router interfaces).
> 
> Steve
> 
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Bound, Jim" <[email-masked]>
Date: Thu, 2 May 2002 10:05:10 -0400

Hi Steve,

As usual we agree at the bottom line.  Good point about the routers not really being src/dst deliberate usually too.  I missed that when typing.

But as chair I want to say we should ship this spec with the unicast approach as Bob and others have stated.  I know of 3 vendors now that are going to ship small devices late 2002 and for sure early 2003 and we need this problem fixed.

OK I will admit I am one of those vendors too so I am biased.

thanks and again great write up,
/jim

> Sent: Wednesday, May 01, 2002 10:11 PM
> To: Bound, Jim
> >Good analysis but something about it don't sit well. My 
> first response is
> >that Routers are intermediary nodes and require 
> configuration too so have
> >all the properties that come with that flaw.
> 
> Jim,
> 
> The pedantic answer is no, routers are not necessarily intermediaries
> according to my definition of that term.  Intermediaries are entities
> or sets of entities that a seeker sends *to* and/or receives *from*,
> in order to acquire needed info about a target.  If those entities are
> not on the same link as the sender, yes, you need routers to enable
> that sending and/or receiving, but the routers themselves are not the
> destination or source of the seeker-intermediary communication (unless
> a router coincidentally happens to be the home of either seeker or
> intermediary).
> 
> The more pragmatic answer is sure, routers are intermediaries.  If you
> are going to allow seekers and targets to be on different links, you
> necessarily rely on an intermediary of some sort.  The goal (for
> robust plug-and-play) is simply to eliminate *unnecessary*
> intermediaries, because each intermediary is a source of additional
> potential failures.  For an Internet of more than one link, we
> obviously need routers to enable communication; the question is
> whether or not impose a requirement for *more* intermediaries that
> those.
> 
> Note also that routers generally run protocols designed to maximize
> fault tolerance, by allowing arbitrarily redundant topologies, by
> not having single points-of-failure, and by ensuring that if 
> a physical
> path exists from A to B, then packets can be (best-efforts) delivered
> from A to B.  That's generally not the case for autoconfiguration
> servers.
> 
> >...my domain required management to be set up the way I personally
> >want it to be set up not the way the canned techno parts came to me
> >via UPS.
> 
> Fine, the IPv6 stateful autoconf option is there for those who want
> to do that.  But my neighbor *does* want it to just work out-of-
> the-UPS-box, and I want IPv6 to be reliably usable by all my 
> neighbors,
> not just the ones who are geeks.  (Well, here in Silicon Valley, it's
> probably the case that all my neighbors are geeks, but you know what
> I mean... :-)
> 
> Steve
> 
>

---

From: "Bound, Jim" <[email-masked]>
Date: Thu, 2 May 2002 10:16:34 -0400

that meant YOu as chair I am saying.........just in case my words were misinterreprted as I am busy today sorry.
/jim

> From: Bound, Jim 
> Sent: Thursday, May 02, 2002 10:05 AM
> To: Steve Deering
> As usual we agree at the bottom line.  Good point about the 
> routers not really being src/dst deliberate usually too.  I 
> missed that when typing.
> 
> But as chair I want to say we should ship this spec with the 
> unicast approach as Bob and others have stated.  I know of 3 
> vendors now that are going to ship small devices late 2002 
> and for sure early 2003 and we need this problem fixed.
>